/**
   ________________________________________________________________________________

      ___          ______
     / _ \         | ___ \
    / /_\ \ ___ ___| |_/ / __ _ ___  ___
    |  _  |/ __/ _ \ ___ \/ _` / __|/ _ \
    | | | | (_|  __/ |_/ / (_| \__ \  __/
    \_| |_/\___\___\____/ \__,_|___/\___|
                 realtime database client

   Copyright 2018-2022 by Ewout Stortenbeker <http://appy.one>
   Released under MIT license

   See docs at https://github.com/appy-one/acebase-client
   ________________________________________________________________________________

*/
/*!
 * AceBaseClient
 * (c) 2018-2022 Ewout Stortenbeker <http://appy.one>
 * Released under MIT license
 */
export {
    AceBaseClient,
    AceBaseClientConnectionSettings,
    AceBaseClientCacheSettings,
    AceBaseClientSyncSettings,
} from './acebase-client';

export {
    IAceBaseAuthProviderSignInResult,
    IAceBaseAuthProviderTokens,
} from './api-web';

export { AceBaseClientAuth } from './auth';
export { AceBaseUser } from './user';
export { ServerDate } from './server-date';
export { CachedValueUnavailableError } from './errors';

export {
    DataReference,
    DataSnapshot,
    DataSnapshotsArray,
    DataReferencesArray,
    EventStream,
    EventSubscription,
    PathReference,
    TypeMappings,
    TypeMappingOptions,
    IReflectionNodeInfo,
    IReflectionChildrenInfo,
    IStreamLike,
    ILiveDataProxy,
    ILiveDataProxyValue,
    IObjectCollection,
    ObjectCollection,
    ID,
    proxyAccess,
    PartialArray,
    // Transport, // No longer export, has never been publically typed
} from 'acebase-core';
